NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_uudecode(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_uudecode - Binary-to-text decoding using "htuu" encoding

## Table Of Contents

## Synopsis

- ns_uudecode string

## Description

This command performs a text to potentially binary conversion, NOTE: This stype of encoding is sometimes called "htuu". This command converts the specified argument from RFC 1113 printable encoding format to its native representation. This technique is similar to the familiar Unix uuencode format in that it maps 6 binary bits to one ASCII character (or more aptly, 3 binary bytes to 4 ASCII characters). However, RFC 1113 does not use the same mapping to printable characters as uuencode.

ns_uudecode string

## EXAMPLES

    oss2:nscp 7> ns_uuencode test
    dGVzdA==
    oss2:nscp 6> ns_uudecode dGVzdA==
    test

## See Also

ns_uuencode

## Keywords

encoding